## ucar.multiarray
Class TransposeMap

    java.lang.Object
      ucar.multiarray.ConcreteIndexMap
          ucar.multiarray.TransposeMap

All Implemented Interfaces:
  IndexMap

public class TransposeMap
extends ConcreteIndexMap

Use with MultiArrayProxy to transpose two dimensions.

See Also:
  `IndexMap`, `MultiArrayProxy`

Nested Class Summary

Nested classes inherited from class ucar.multiarray.ConcreteIndexMap
`ConcreteIndexMap.ZZMap`

Field Summary

Fields inherited from class ucar.multiarray.ConcreteIndexMap
`iMap_, lengthsMap_`

Constructor Summary
`TransposeMap(ConcreteIndexMap prev, int aa, int bb)` Create an IndexMap which swaps two dimensions.
`TransposeMap(int aa, int bb)` Create an IndexMap which swaps two dimensions.

Method Summary
`static void` `main(String[] args)`

Methods inherited from class ucar.multiarray.ConcreteIndexMap
`getLengths, getOutputLength, getRank, getTransformed, init, init, link, link, setInput, setLengths, toString, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransposeMap

    public TransposeMap(int aa,
                        int bb)

  Create an IndexMap which swaps two dimensions.

Parameters:
  `aa` - specifies one of the dimensions to swap
  `bb` - specifies the other dimension to swap

### TransposeMap

    public TransposeMap(ConcreteIndexMap prev,
                        int aa,
                        int bb)

  Create an IndexMap which swaps two dimensions.

Parameters:
  `prev` - IndexMap to be composed with this.
  `aa` - specifies one of the dimensions to swap
  `bb` - specifies the other dimension to swap

Method Detail

### main

    public static void main(String[] args)